Name:			cyrus-imapd
Version:		2.1.11
Release:		6
# IPV6 patch release, 0 if we don't have the patch
%define ipv6release	20021205

# ********************** BUILD TIME OPTIONS START **********************

# To modify parameters, edit the .spec file or build like this:
# rpm --rebuild --define='SEEN_DB skiplist' cyrus-imapd-2.x.x-x.src.rpm

# include IPv6 support
%{!?IPV6:		%define		IPV6 0}

# use saslauth group
%{!?SASLGROUP:		%define		SASLGROUP 0}

# include deliver-wrapper
%{!?DEL_WRAP:		%define		DEL_WRAP 1}

# use preforking cyrus.conf
%{!?PREFORK:		%define		PREFORK 1}

# enable netscape hack (recommended)
%{!?NETSCAPEHACK:	%define		NETSCAPEHACK 1}

# enable ANNOTATEMORE support
%{!?ANNOTATEMORE:	%define		ANNOTATEMORE 1}

# enable IMAP4 LIST extensions
%{!?LISTEXT:		%define		LISTEXT 1}

# enable IDLED support
%{!?IDLED:		%define		IDLED 0}

# force syncronous updates on ext3
%{!?FORCESYNCEXT3:	%define		FORCESYNCEXT3 0}

# include createonpost features
%{!?CREATEONPOST:	%define		CREATEONPOST 1}

# define db backends, can be flat, db3, skiplist (as of 2.1.3)
# 0 means default
%{!?DUPLICATE_DB:	%define		DUPLICATE_DB 0}
%{!?MBOXLIST_DB:	%define		MBOXLIST_DB skiplist}
%{!?SEEN_DB:		%define		SEEN_DB skiplist}
%{!?SUBS_DB:		%define		SUBS_DB 0}
%{!?TLS_DB:		%define		TLS_DB 0}

# ********************** BUILD TIME OPTIONS END ************************

%define			_use_internal_dependency_generator 0
%define			_rhver %(eval rpm -q --queryformat '%{VERSION}' $(rpm -qf /etc/redhat-release))
# Do we use db3 or db4 ? If we have db4, assume db4, otherwise db3.
%define			_dbver %(eval "rpm -q --quiet db4 && echo db4 || echo db3")
# Do we need the perl install hack for RedHat > 7.3 ?
# %define			_perlhack %(eval [ %{_rhver} = "6.2" -o %{_rhver} = "7.0" -o %{_rhver} = "7.1" -o %{_rhver} = "7.2" -o %{_rhver} = "7.3" -o %{_rhver} = "2.1AS" ] && echo 0 || echo 1)
%define			_perlhack 0
# Do we need the snmpargs patch (needed on RedHat 6.2)
%define			_snmpargs_patch %(eval [ %{_rhver} = "6.2" ] && echo 1 || echo 0)
%define			_perl_man3dir %(eval "`perl -V:man3dir`"; echo $man3dir)
%define                  perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:		A high-performance mail store with IMAP and POP3 support.
License:		OSI Approved
Group:			System Environment/Daemons
URL:			http://asg.web.cmu.edu/cyrus/imapd/
Packager:		Simon Matter <simon.matter@invoca.ch>
Vendor:			Invoca Systems
Distribution:		Invoca Linux Server
Source0:		ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{name}-%{version}.tar.gz
Source1:		cyrus-procmailrc
Source2:		cyrus-deliver-wrapper.c
Source3:		cyrus-user-procmailrc.template
Source4:		%{name}.logrotate
Source5:		%{name}.imap-2.1.x-conf
Source6:		%{name}.pamd-pop
Source7:		%{name}.pamd-imap
Source8:		%{name}.pamd-sieve
Source9:		%{name}-procmail+cyrus.mc
Source10:		%{name}.init
Source11:		%{name}.sysconfig
Source12:		%{name}.cvt_cyrusdb_all
Source13:		%{name}.magic
Source14:      		http://eu.dl.sourceforge.net/cyrus-utils/imapcreate.pl
Source15:		http://eu.dl.sourceforge.net/cyrus-utils/cyrus_ldap_quota.pl
Source16:		ftp://kalamazoolinux.org/pub/projects/awilliam/cyrus/batchreconstruct
Source17:		ftp://kalamazoolinux.org/pub/projects/awilliam/cyrus/bsd2cyrus
Source18:		ftp://kalamazoolinux.org/pub/projects/awilliam/cyrus/cpmsg
Source19:		ftp://kalamazoolinux.org/pub/projects/awilliam/cyrus/folderxfer
Source20:		ftp://kalamazoolinux.org/pub/projects/awilliam/cyrus/inboxfer
Source21:		README.createonpost
Source22:		%{name}.README.RPM
Source23:		%{name}.cron-daily
Patch0:			%{name}-2.0.5-mandir.patch
Patch1:			%{name}-2.0.9-cflags.patch
Patch2:			%{name}-2.0.12-deliverman.patch
Patch3:			%{name}-2.0.12-cyradm_man_sec.patch
Patch4:			%{name}-2.1.3-service_path.patch
%if %{ipv6release}
Patch5:			http://www.imasy.or.jp/~ume/ipv6/%{name}-%{version}-ipv6-%{ipv6release}.diff.gz
%endif
Patch6:			%{name}-2.1.9-fdatasync.patch
Patch7:			%{name}-2.1.10-createonpost.patch
Patch8:			%{name}-2.1.11-snmpargs.patch
Patch9:			%{name}-2.1.11-vendor.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Prereq:			e2fsprogs, /sbin/chkconfig, /sbin/service
Provides:		imap
BuildPrereq:		cyrus-sasl-devel >= 2.1.0-1, perl, tcp_wrappers, %{_dbver}-devel, openssl-devel
BuildPrereq:		flex, bison, groff >= 1.15-8, %{__autoconf}, file >= 3.35-1
Obsoletes:		imap

%define			uid 76
%if %{SASLGROUP}
%define			gid 76
%define			_saslgroup saslauth
%endif
%define			_cyrususer cyrus
%define			_cyrusgroup mail
%define			_vardata %{_var}/lib/imap
%define			_spooldata %{_var}/spool/imap
%define			_cyrexecdir %{_libexecdir}/cyrus
%define			_confdir master/conf
%define			_contribdir %{_datadir}/%{name}/contrib
%if %{PREFORK}
%define			_cyrusconf %{_confdir}/prefork.conf
%else
%define			_cyrusconf %{_confdir}/normal.conf
%endif

%description
The %{name} package contains the core of the Cyrus IMAP server.
It is a scaleable enterprise mail system designed for use from
small to large enterprise environments using standards-based
internet mail technologies.

A full Cyrus IMAP implementation allows a seamless mail and bulletin
board environment to be set up across multiple servers. It differs from
other IMAP server implementations in that it is run on "sealed"
servers, where users are not normally permitted to log in. The mailbox
database is stored in parts of the filesystem that are private to the
Cyrus IMAP server. All user access to mail is through software using
the IMAP, POP3, or KPOP protocols. TLSv1 and SSL are supported for
security.

%package devel
Group: Development/Libraries
Summary: Cyrus IMAP server development files.
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header files and libraries
necessary for developing applications which use the imclient library.

%package -n perl-Cyrus
Group: Environment/Libraries
Summary: Cyrus IMAP server utility Perl modules.

%description -n perl-Cyrus
The perl-Cyrus package contains Perl modules necessary to use the
Cyrus IMAP server administration utilities.

%package utils
Group: Applications/System
Summary: Cyrus IMAP server administration utilities.
Requires: perl-Cyrus = %{version}-%{release}

%description utils
The %{name}-utils package contains administrative tools for the
Cyrus IMAP server. It can be installed on systems other than the
one running the server.

%prep
%setup -q
%patch0 -p1 -b .mandir
%patch1 -p1 -b .cflags
%patch2 -p1 -b .deliverman
%patch3 -p1
%patch4 -p0 -b .service_path
%if %{IPV6}
%patch5 -p0 -b .ipv6
%endif
%patch6 -p0 -b .fdatasync
%if %{CREATEONPOST}
%patch7 -p1 -b .createonpost
%endif
%if %{_snmpargs_patch}
%patch8 -p1 -b .snmpargs
%endif
%patch9 -p1 -b .vendorperl
%{__autoconf}

%build
CPPFLAGS="-I%{_includedir}/et -I%{_prefix}/kerberos/include"
export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CFLAGS
LOCALDEFS="-DEXTRA_IDENT=\\\"Invoca-RPM-%{version}-%{release}\\\""
export LOCALDEFS

pushd makedepend
./configure
%{__make}
popd

%configure \
%if %{DUPLICATE_DB}
  --with-duplicate-db=%{DUPLICATE_DB} \
%endif
%if %{MBOXLIST_DB}
  --with-mboxlist-db=%{MBOXLIST_DB} \
%endif
%if %{SEEN_DB}
  --with-seen-db=%{SEEN_DB} \
%endif
%if %{SUBS_DB}
  --with-subs-db=%{SUBS_DB} \
%endif
%if %{TLS_DB}
  --with-tls-db=%{TLS_DB} \
%endif
%if %{NETSCAPEHACK}
  --enable-netscapehack \
%endif
%if %{ANNOTATEMORE}
  --enable-annotatemore \
%endif
%if %{LISTEXT}
  --enable-listext \
%endif
%if %{IDLED}
  --with-idle=idled \
%endif
  --without-ucdsnmp \
  --with-krb=%{_prefix}/kerberos \
  --with-perl=%{__perl} \
  --with-libwrap=%{_prefix} \
  --with-cyrus-prefix=%{_cyrexecdir} \
  --with-auth=unix

%{__make} 
%if %{DEL_WRAP}
%{__cc} -DLIBEXECDIR=\"%{_cyrexecdir}\" -Wall -o deliver-wrapper %{SOURCE2}
%endif

# Modify docs master --> cyrus-master
pushd man
  %{__perl} -pi -e "s@master\(8\)@cyrus-master(8)@" `ls *5 *8`
popd
pushd doc
  %{__perl} -pi -e "s@master@cyrus-master@g;" man.html
popd
pushd doc/man
  %{__perl} -pi -e "s@master\(8\)@cyrus-master(8)@;" `ls *html`
popd

# Modify path in perl scripts
%{__perl} -pi -e "s@/usr/local/bin/perl@%{__perl}@" `find . -type f -name "*.pl"`

# Cleanup of doc dir
find doc perl -name CVS -type d | xargs -r rm -fr
find doc -name "*~" -type f | xargs -r rm -f
rm -f doc/Makefile.dist
rm -f doc/text/htmlstrip.c

# Create README.buildoptions
cat << EOF >> doc/README.buildoptions
This RPM package has been compiled on RedHat %{_rhver} using
Berkeley Database (Berkeley DB) version %{_dbver} with the following source
RPM build options:

include IPv6 support
IPV6          : %{IPV6}

use saslauth group
SASLGROUP     : %{SASLGROUP}

include deliver-wrapper
DEL_WRAP      : %{DEL_WRAP}

use preforking cyrus.conf
PREFORK       : %{PREFORK}

enable netscape hack (recommended)
NETSCAPEHACK  : %{NETSCAPEHACK}

enable ANNOTATEMORE support
ANNOTATEMORE  : %{ANNOTATEMORE}

enable IMAP4 LIST extensions
LISTEXT       : %{LISTEXT}

enable IDLED support
IDLED         : %{IDLED}

force syncronous updates on ext3
FORCESYNCEXT3 : %{FORCESYNCEXT3}

include createonpost features
CREATEONPOST  : %{CREATEONPOST}

database backends (0 means default)
DUPLICATE_DB  : %{DUPLICATE_DB}
MBOXLIST_DB   : %{MBOXLIST_DB}
SEEN_DB       : %{SEEN_DB}
SUBS_DB       : %{SUBS_DB}
TLS_DB        : %{TLS_DB}


To modify parameters, edit the .spec file or build like this:
rpm --rebuild --define='SEEN_DB skiplist' cyrus-imapd-[version].src.rpm
EOF

%if %{CREATEONPOST}
%{__install} -m 644 %{SOURCE21} doc/
%endif

%{__install} -m 644 %{SOURCE22} doc/README.RPM

# modify lmtp socket path in .conf files
%{__perl} -pi -e "s@/var/imap@%{_vardata}@" %{_confdir}/*.conf

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# This hack is needed on RedHat > 7.3 to install the perl files correctly
%if %{_perlhack}
pushd perl/imap
  %{__perl} Makefile.PL PREFIX=%{buildroot}%{_prefix}
popd
pushd perl/sieve/acap
  %{__perl} Makefile.PL PREFIX=%{buildroot}%{_prefix}
popd
pushd perl/sieve/managesieve
  %{__perl} Makefile.PL PREFIX=%{buildroot}%{_prefix}
popd
%endif

# Do what the regular make install does
%{__make} install DESTDIR=%{buildroot} PREFIX=%{buildroot}%{_prefix} mandir=%{_mandir}
%{__make} -C man install DESTDIR=%{buildroot} PREFIX=%{buildroot}%{_prefix} mandir=%{_mandir}

%if %{DEL_WRAP}
%{__install} -s -m 2755 deliver-wrapper	%{buildroot}%{_cyrexecdir}/
%endif
%{__install} -m 755 imtest/imtest	%{buildroot}%{_cyrexecdir}/
%{__install} -m 755 perl/imap/cyradm	%{buildroot}%{_cyrexecdir}/

# Install tools
for tool in tools/* ; do
  test -f ${tool} && %{__install} -m 755 ${tool} %{buildroot}%{_cyrexecdir}/
done

# Create directories
%{__install} -d \
  %{buildroot}%{_sysconfdir}/{rc.d/init.d,logrotate.d,pam.d,sysconfig,cron.daily} \
  %{buildroot}%{_libdir}/sasl \
  %{buildroot}%{_bindir} \
  %{buildroot}%{_spooldata}/stage. \
  %{buildroot}%{_vardata}/{user,quota,proc,log,msg,socket,db,sieve,rpm,backup} \
  %{buildroot}%{_contribdir} \
  %{buildroot}%{_datadir}/%{name}/rpm

# Install additional files
%{__install} -m 755 %{SOURCE12}   %{buildroot}%{_cyrexecdir}/cvt_cyrusdb_all
%{__install} -m 755 %{SOURCE13}   %{buildroot}%{_datadir}/%{name}/rpm/magic
%{__install} -m 755 %{SOURCE14}   %{buildroot}%{_contribdir}/imapcreate
%{__install} -m 755 %{SOURCE15}   %{buildroot}%{_contribdir}/cyrus_ldap_quota
%{__install} -m 755 %{SOURCE16}   %{buildroot}%{_contribdir}/batchreconstruct
%{__install} -m 755 %{SOURCE17}   %{buildroot}%{_contribdir}/bsd2cyrus
%{__install} -m 755 %{SOURCE18}   %{buildroot}%{_contribdir}/cpmsg
%{__install} -m 755 %{SOURCE19}   %{buildroot}%{_contribdir}/folderxfer
%{__install} -m 755 %{SOURCE20}   %{buildroot}%{_contribdir}/inboxfer

# Install config files
%{__install} -m 644 %{_cyrusconf} %{buildroot}%{_sysconfdir}/cyrus.conf
%{__install} -m 644 %{SOURCE5}    %{buildroot}%{_sysconfdir}/imapd.conf
%{__install} -m 644 %{SOURCE6}    %{buildroot}%{_sysconfdir}/pam.d/pop
%{__install} -m 644 %{SOURCE7}    %{buildroot}%{_sysconfdir}/pam.d/imap
%{__install} -m 644 %{SOURCE8}    %{buildroot}%{_sysconfdir}/pam.d/sieve
%{__install} -m 644 %{SOURCE11}   %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 755 %{SOURCE10}   %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} -m 644 %{SOURCE4}    %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 755 %{SOURCE23}   %{buildroot}%{_sysconfdir}/cron.daily/%{name}

# Install templates
%{__install} -m 755 -d doc/conf
%{__install} -m 644 %{_confdir}/*.conf doc/conf/

# Put binaries in place according to FHS
mv -f %{buildroot}%{_cyrexecdir}/bin/*	%{buildroot}%{_cyrexecdir}/
rm -rf %{buildroot}%{_cyrexecdir}/bin

# Rename 'master' binary and manpage to avoid crash with postfix
mv -f %{buildroot}%{_cyrexecdir}/master	%{buildroot}%{_cyrexecdir}/cyrus-master
mv -f %{buildroot}%{_mandir}/man8/master.8 %{buildroot}%{_mandir}/man8/cyrus-master.8
mv -f doc/man/master.8.html doc/man/cyrus-master.8.html

# make hashed dirs
%{__perl} << EOF
foreach \$i ("a".."z") 
{
  mkdir "%{buildroot}%{_vardata}/user/\$i", 0750;
  mkdir "%{buildroot}%{_vardata}/quota/\$i", 0750;
  mkdir "%{buildroot}%{_vardata}/sieve/\$i", 0750;
  mkdir "%{buildroot}%{_spooldata}/\$i", 0750;
}
EOF

# Create symlinks
ln -sf ../libexec/cyrus/cyradm %{buildroot}%{_bindir}/
ln -sf ../libexec/cyrus/imtest %{buildroot}%{_bindir}/

# Create filelist for perl package, compress manpages before
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
find %{buildroot}%{perl_vendorarch}/Cyrus %{buildroot}%{perl_vendorarch}/auto/Cyrus -type f -print |
  sed "s@^%{buildroot}@@g" |
  grep -v perllocal.pod |
  grep -v "\.packlist" > perl-Cyrus-%{version}-filelist
find %{buildroot}%{_perl_man3dir} -type f -name "Cyrus*" -print |
  sed "s@^%{buildroot}@@g" >> perl-Cyrus-%{version}-filelist
if [ "$(cat perl-Cyrus-%{version}-filelist)X" = "X" ] ; then
  echo "ERROR: EMPTY FILE LIST"
  exit -1
fi

# Remove installed but not packaged files
rm -f %{buildroot}%{_cyrexecdir}/not-mkdep
find %{buildroot} -name "perllocal.pod" -exec rm -f {} \;
find %{buildroot} -name ".packlist" -exec rm -f {} \;

# On RedHat 7.3, this file is created here
rm -f /perllocal.pod

# Create file wich contains information about compiled db backends
for conf in DUPLICATE MBOX SEEN SUBS TLS; do
  echo CONFIG_DB_${conf}=$(grep "CONFIG_DB_${conf}" config.h | sed -e 's/)//' -e 's/_/-/g' | cut -d" " -f3 | cut -d"-" -f2) >> %{buildroot}%{_datadir}/%{name}/rpm/db.cfg
done

# Create magic file for skiplist
file -C -m %{buildroot}%{_datadir}/%{name}/rpm/magic

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
# Create 'cyrus' user on target host
%if %{SASLGROUP}
/usr/sbin/groupadd -g %{gid} -r %{_saslgroup} 2> /dev/null || :
/usr/sbin/useradd -c "Cyrus IMAP Server" -d %{_vardata} -g %{_cyrusgroup} \
  -G %{_saslgroup} -s /bin/bash -u %{uid} -r %{_cyrususer} 2> /dev/null || :
%else
/usr/sbin/useradd -c "Cyrus IMAP Server" -d %{_vardata} -g %{_cyrusgroup} \
  -s /bin/bash -u %{uid} -r %{_cyrususer} 2> /dev/null || :
%endif
# Let postun know whether cyrus-imapd was running
if [ -e /var/lock/subsys/cyrus-imapd ]; then
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  touch /var/lock/subsys/cyrus-imapd
fi

%post
/sbin/chkconfig --add %{name}

# Create SSL certificates
exec > /dev/null 2> /dev/null
if [ ! -f %{_datadir}/ssl/certs/%{name}.pem ]; then
pushd %{_datadir}/ssl/certs
umask 077
cat << EOF | make %{name}.pem
--
SomeState
SomeCity
SomeOrganization
SomeOrganizationalUnit
localhost.localdomain
root@localhost.localdomain
EOF
chown root.%{_cyrusgroup} %{name}.pem
chmod 640 %{name}.pem
popd
fi

# Force synchronous updates, usually only on ext2 filesystems
for i in %{_vardata}/{user,quota} %{_spooldata}
do
%if %{FORCESYNCEXT3}
  if [ `find $i -maxdepth 0 -printf %%F` = "ext2" -o `find $i -maxdepth 0 -printf %%F` = "ext3" ]; then
%else
  if [ `find $i -maxdepth 0 -printf %%F` = "ext2" ]; then
%endif
    chattr -R +S $i 2>/dev/null
  fi
done

# Add service entries if necessary
if ! grep -q ^lmtp %{_sysconfdir}/services; then
  echo -e 'lmtp\t\t24/tcp\t\t\t\t# LMTP Mail Delivery over TCP' >> %{_sysconfdir}/services
  echo -e 'lmtp\t\t24/udp\t\t\t\t# LMTP Mail Delivery over TCP' >> %{_sysconfdir}/services
fi
if ! grep -q ^pop3s %{_sysconfdir}/services; then
  echo -e 'pop3s\t\t995/tcp\t\t\t\t# POP-3 over SSL' >> %{_sysconfdir}/services
  echo -e 'pop3s\t\t995/udp\t\t\t\t# POP-3 over SSL' >> %{_sysconfdir}/services
fi
if ! grep -q ^imaps %{_sysconfdir}/services; then
  echo -e 'imaps\t\t993/tcp\t\t\t\t# IMAP over SSL' >> %{_sysconfdir}/services
  echo -e 'imaps\t\t993/udp\t\t\t\t# IMAP over SSL' >> %{_sysconfdir}/services
fi
if ! grep -q ^sieve %{_sysconfdir}/services; then
  echo -e 'sieve\t\t2000/tcp\t\t\t# Sieve Mail Filter Daemon' >> %{_sysconfdir}/services
  echo -e 'sieve\t\t2000/udp\t\t\t# Sieve Mail Filter Daemon' >> %{_sysconfdir}/services
fi

%preun
if [ $1 = 0 ]; then
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  rm -f %{_vardata}/socket/lmtp 2> /dev/null
fi

%postun
if [ $1 = 0 ]; then
  /usr/sbin/userdel %{_cyrususer} 2> /dev/null || :
%if %{SASLGROUP}
  if [ "`grep ^%{_saslgroup}: %{_sysconfdir}/group | cut -d: -f4-`" = "" ]; then
    /usr/sbin/groupdel %{_saslgroup} 2> /dev/null || :
  fi
%endif
else
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(0644,root,root,0755)
%config %{_sysconfdir}/*.conf
%attr(0755,root,root) %config %{_sysconfdir}/rc.d/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/*
%attr(0755,root,root) %config %{_sysconfdir}/cron.daily/%{name}
%dir %{_cyrexecdir}
%attr(0755,root,root) %{_cyrexecdir}/chk_cyrus
%attr(0755,root,root) %{_cyrexecdir}/ctl_cyrusdb
%attr(0755,root,root) %{_cyrexecdir}/ctl_deliver
%attr(0755,root,root) %{_cyrexecdir}/ctl_mboxlist
%attr(0755,root,root) %{_cyrexecdir}/cvt_cyrusdb
%attr(0755,root,root) %{_cyrexecdir}/cyrdump
%attr(0755,root,root) %{_cyrexecdir}/cyrus-master
%attr(0755,root,root) %{_cyrexecdir}/dohash
%attr(0755,root,root) %{_cyrexecdir}/feedcyrus
%attr(0755,root,root) %{_cyrexecdir}/fud
%attr(0755,root,root) %{_cyrexecdir}/imapd
%attr(0755,root,root) %{_cyrexecdir}/ipurge
%attr(0755,root,root) %{_cyrexecdir}/lmtpd
%attr(0755,root,root) %{_cyrexecdir}/mbpath
%attr(0755,root,root) %{_cyrexecdir}/mkimap
%attr(0755,root,root) %{_cyrexecdir}/notifyd
%attr(0755,root,root) %{_cyrexecdir}/pop3d
%attr(0755,root,root) %{_cyrexecdir}/quota
%attr(0755,root,root) %{_cyrexecdir}/reconstruct
%attr(0755,root,root) %{_cyrexecdir}/rehash
%attr(0755,root,root) %{_cyrexecdir}/squatter
%attr(0755,root,root) %{_cyrexecdir}/timsieved
%attr(0755,root,root) %{_cyrexecdir}/tls_prune
%attr(0755,root,root) %{_cyrexecdir}/translatesieve
%attr(0755,root,root) %{_cyrexecdir}/undohash
%attr(0755,root,root) %{_cyrexecdir}/upgradesieve
%attr(0755,root,root) %{_cyrexecdir}/cvt_cyrusdb_all
%if %{IDLED}
%attr(0755,root,root) %{_cyrexecdir}/idled
%endif
%attr(4754,%{_cyrususer},%{_cyrusgroup}) %{_cyrexecdir}/deliver
%if %{DEL_WRAP}
%attr(2755,%{_cyrususer},%{_cyrusgroup}) %{_cyrexecdir}/deliver-wrapper
%endif
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %dir %{_vardata}
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/user
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/quota
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/proc
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/log
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/msg
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/socket
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/db
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/sieve
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/rpm
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/backup
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %dir %{_spooldata}
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_spooldata}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/rpm
%{_datadir}/%{name}/rpm/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc COPYRIGHT README
%doc $RPM_SOURCE_DIR/cyrus-procmailrc
%doc $RPM_SOURCE_DIR/cyrus-user-procmailrc.template
%doc $RPM_SOURCE_DIR/%{name}-procmail+cyrus.mc
%doc doc/*

%files devel
%defattr(0644,root,root,0755)
%{_includedir}/cyrus
%{_libdir}/lib*.a
%{_mandir}/man3/imclient.3*

%files -n perl-Cyrus -f perl-Cyrus-%{version}-filelist
%defattr(-,root,root)
%doc perl/imap/README
%doc perl/imap/Changes
%doc perl/imap/examples

%files utils
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_cyrexecdir}/cyradm
%attr(0755,root,root) %{_cyrexecdir}/imtest
%attr(0755,root,root) %{_cyrexecdir}/mupdate-loadgen.pl
%attr(0755,root,root) %{_contribdir}
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Jan 10 2003 Simon Matter <simon.matter@invoca.ch>
- small change in mboxlist backup script

* Fri Jan 10 2003 Simon Matter <simon.matter@invoca.ch>
- fixed a cosmetic bug in cvt_cyrusdb_all
- added cron.daily job to backup mailboxes.db

* Mon Jan 06 2003 Simon Matter <simon.matter@invoca.ch>
- add more entries to /etc/services

* Wed Jan 01 2003 Simon Matter <simon.matter@invoca.ch>
- include snmpargs patch for build on RedHat 6.2
- added build support for RedHat 6.2

* Mon Dec 30 2002 Simon Matter <simon.matter@invoca.ch>
- removed autoconf hack, not needed anymore
- enabled build on RedHat Beta Phoebe
- added services entry for lmtp
- cleanup spec file

* Thu Dec 26 2002 Simon Matter <simon.matter@invoca.ch>
- removed BuildPrereq for e2fsprogs-devel

* Thu Dec 12 2002 Simon Matter <simon.matter@invoca.ch>
- modified RedHat release detection
- added BuildPrereq for file

* Thu Dec 05 2002 Simon Matter <simon.matter@invoca.ch>
- upgraded to cyrus-imapd 2.1.11
- upgrade IPV6 patch to 20021205

* Thu Nov 28 2002 Simon Matter <simon.matter@invoca.ch>
- Fixed some default attributes

* Thu Nov 28 2002 Troels Arvin <troels@arvin.dk>
- Explicitly changed files-section to
   - use defattr for simple (root-owned 0644) files
   - explictly set root as user/group owner where
     the user/group ownership was previously indicated
     as "-"; this allows building valid packages without
     having to being root when building

* Mon Nov 25 2002 Simon Matter <simon.matter@invoca.ch>
- changed default build option for IDLED to off
- included some useful info in README.*

* Thu Nov 21 2002 Simon Matter <simon.matter@invoca.ch>
- added build time option for IDLED, thank you Roland Pope

* Tue Nov 19 2002 Simon Matter <simon.matter@invoca.ch>
- fixed spec to really use fdatasync patch
- added createonpost patch

* Thu Nov 14 2002 Simon Matter <simon.matter@invoca.ch>
- upgraded to cyrus-imapd 2.1.10
- build without IPv6 support by default

* Tue Nov 12 2002 Simon Matter <simon.matter@invoca.ch>
- fixed db detection in .spec

* Mon Oct 21 2002 Simon Matter <simon.matter@invoca.ch>
- updated cvt_cyrusdb_all script

* Fri Oct 18 2002 Simon Matter <simon.matter@invoca.ch>
- added fdatasync patch

* Thu Oct 03 2002 Simon Matter <simon.matter@invoca.ch>
- add RPM version 4.1 compatibility, which means remove installed
  but not packaged files

* Wed Sep 18 2002 Simon Matter <simix@datacomm.ch>
- added auto db converting functionality
- changed default for MBOXLIST_DB and SEEN_DB to skiplist

* Mon Sep 16 2002 Simon Matter <simix@datacomm.ch>
- remove creation of cyrus user at build time
- added scripts from ftp://kalamazoolinux.org/pub/projects/awilliam/cyrus/

* Mon Sep 02 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.9

* Fri Aug 30 2002 Simon Matter <simix@datacomm.ch>
- included extra ident string

* Thu Aug 29 2002 Simon Matter <simix@datacomm.ch>
- modified path in deliver-wrapper, thank you Richard L. Phipps
- added RedHat 2.1AS support to the perlhack detection
- added build time option to force syncronous updates on ext3

* Wed Aug 28 2002 Simon Matter <simix@datacomm.ch>
- added updated IPv6 patch from Hajimu UMEMOTO

* Wed Aug 28 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.8

* Thu Aug 22 2002 Simon Matter <simix@datacomm.ch>
- included IPv6 patch from Hajimu UMEMOTO

* Wed Aug 21 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.7 because of wrong version info

* Wed Aug 21 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.6

* Mon Aug 19 2002 Simon Matter <simix@datacomm.ch>
- change db version detection, thank you Chris for reporting

* Tue Aug 13 2002 Simon Matter <simix@datacomm.ch>
- fixed autoconf detection

* Mon Aug 12 2002 Simon Matter <simix@datacomm.ch>
- included support for different autoconf versions
- modified the perl build and install process
- made some .spec changes to build on RedHat 7.x and limbo

* Fri Aug 09 2002 Simon Matter <simix@datacomm.ch>
- included sieve matching patch

* Thu Jun 27 2002 Simon Matter <simix@datacomm.ch>
- fixed %post script where %F was expanded to file.file

* Wed Jun 26 2002 Simon Matter <simix@datacomm.ch>
- fixed missing man page

* Tue Jun 25 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.5

* Mon Jun 24 2002 Simon Matter <simix@datacomm.ch>
- added compile time parameters to configure the package based on
  the idea from Luca Olivetti <luca@olivetti.cjb.net>
- make deliver-wrapper a compile time option

* Fri May 02 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.4

* Mon Apr 22 2002 Simon Matter <simix@datacomm.ch>
- small initscript fix

* Fri Mar 08 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.3
- removed some stuff that was cleaned up in the sources
- added compile time options for db backends

* Wed Mar 06 2002 Simon Matter <simix@datacomm.ch>
- removed requires perl-File-Temp for utils package, it's in the RedHat
  perl RPM now

* Fri Feb 22 2002 Simon Matter <simix@datacomm.ch>
- removed deliverdb/db

* Wed Feb 20 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.2

* Mon Feb 11 2002 Simon Matter <simix@datacomm.ch>
- changed sasl_mech_list: PLAIN in /etc/imapd.conf
- added sieve to /etc/pam.d

* Fri Feb 08 2002 Simon Matter <simix@datacomm.ch>
- added requires perl-File-Temp for utils package

* Wed Feb 06 2002 Simon Matter <simix@datacomm.ch>
- added some %dir flags
- removed /usr/lib/sasl/Cyrus.conf
- added conf templates
- build time option for usage of saslauth group

* Tue Feb 05 2002 Simon Matter <simix@datacomm.ch>
- upgraded to cyrus-imapd 2.1.1
- dependency of cyrus-sasl >= 2.1.0-1

* Sun Feb 03 2002 Simon Matter <simix@datacomm.ch>
- saslauth group is only deleted on uninstall if there is no other
  member in this group

* Sat Feb 02 2002 Simon Matter <simix@datacomm.ch>
- changed start/stop level in init file

* Tue Jan 29 2002 Simon Matter <simix@datacomm.ch>
- dependency of cyrus-sasl >= 1.5.24-22
- dotstuffing patch for sendmail calls made by sieve for outgoing
  mails
- patch for ability to force ipurge to traverse personal folders

* Mon Jan 28 2002 Simon Matter <simix@datacomm.ch>
- minor spec file changes

* Sat Jan 19 2002 Simon Matter <simix@datacomm.ch>
- changed default auth to pam
- remove several %dir from %files sections
- change from /usr/lib/cyrus -> /usr/libexec/cyrus
- rename source files to something like cyrus...
- added rehash tool
- changed to hashed spool

* Fri Jan 18 2002 Simon Matter <simix@datacomm.ch>
- fixed init script
- fixed %post section in spec

* Thu Jan 17 2002 Simon Matter <simix@datacomm.ch>
- ready for first build

* Wed Jan 09 2002 Simon Matter <simix@datacomm.ch>
- initial package, with help from other packages out there
